> ## Documentation Index
> Fetch the complete documentation index at: https://documentation.idenfy.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Generate bank verification token



## OpenAPI

````yaml /openapi/bank.yaml post /bank/tokens/
openapi: 3.1.0
info:
  title: iDenfy IVS Core API
  version: 0.0.0
  description: iDenfy Identity Verification Service's Core API documentation.
  contact:
    name: API Support
    url: https://idenfy-ivs.atlassian.net/servicedesk/customer/portal/1/group/-1
  x-logo:
    url: /static/idenfy_logo.svg
    altText: iDenfy logo
servers:
  - url: https://ivs.idenfy.com
security: []
tags:
  - name: Bank
    description: Bank verification endpoints.
  - name: Webhooks
    description: Webhooks.
externalDocs:
  description: For other/more docs on iDenfy services visit our main documentation page.
  url: https://documentation.idenfy.com
paths:
  /bank/tokens/:
    post:
      tags:
        - Bank
      summary: Generate bank verification token
      operationId: bankTokensCreate
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/BankTokenRequest'
      responses:
        '201':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/BankToken'
          description: ''
      security:
        - apiKeyPair: []
components:
  schemas:
    BankTokenRequest:
      type: object
      properties:
        lifetime:
          type: integer
          maximum: 2592000
          minimum: 0
          writeOnly: true
          default: 3600
          description: The duration in seconds of bank verification token validity.
        country:
          allOf:
            - $ref: '#/components/schemas/BankTokenCountryEnum'
          nullable: true
        bank:
          type: string
          nullable: true
          maxLength: 32
        access:
          $ref: '#/components/schemas/BankAccessRequest'
    BankToken:
      type: object
      properties:
        tokenString:
          type: string
          readOnly: true
          description: Token string used for authentication.
        expiration:
          type: string
          format: date-time
          readOnly: true
          description: Date and time when this token will become expired.
        isValid:
          type: boolean
          description: Indicates whether this token is valid.
          readOnly: true
        country:
          allOf:
            - $ref: '#/components/schemas/BankTokenCountryEnum'
          nullable: true
        bank:
          type: string
          nullable: true
          maxLength: 32
        access:
          $ref: '#/components/schemas/BankAccess'
      required:
        - expiration
        - isValid
        - tokenString
    BankTokenCountryEnum:
      enum:
        - AT
        - BE
        - BG
        - HR
        - CY
        - DK
        - EE
        - FI
        - FR
        - DE
        - GR
        - HU
        - IS
        - IE
        - IT
        - LV
        - LT
        - LU
        - MT
        - NL
        - 'NO'
        - PL
        - PT
        - RO
        - SK
        - SI
        - ES
        - SE
      type: string
    BankAccessRequest:
      type: object
      properties:
        accounts:
          type: boolean
          default: false
        balances:
          type: boolean
          default: false
        transactions:
          type: boolean
          default: false
    BankAccess:
      type: object
      properties:
        accounts:
          type: boolean
          default: false
        balances:
          type: boolean
          default: false
        transactions:
          type: boolean
          default: false
  securitySchemes:
    apiKeyPair:
      type: http
      scheme: basic
      description: >-
        The request must contain basic auth headers where username is *API key*
        and password is *API secret*.<br>

        In order for you to start using our API you will need an **API key** and
        **API secret**.<br>

        Both can be retrieved by contacting *iDenfy's support* or *iDenfy's
        sales team*.

````